#! /bin/bash

function echo_err() {
	echo -e "\033[0;31m$1\033[0m"
}

function echo_ok() {
	echo -e "\e[42m$1\033[0m"
}

function remove_old_prj() {
	echo "Removing old existing project..."
	rm -f vivado*
	rm -f webtalk*
	rm -f hs_err_pid*
	rm -rf .Xil
	rm -rf fmc_support
}

script_name=`basename $0`
expected_folder="fmc_support"
folder=${PWD##*/}
current_dir=${PWD}

prj=$1

case $prj in
    "fmc_support" )
			echo "Building wrs fmc_support project"
			# Create the Vivado project and the Block design
			vivado -mode batch -source fmc_support-prj.tcl
			# Lauch Vivado IDE
			vivado fmc_support/fmc_support.xpr
		;;

    "clean")
			echo "Removing wrs fmc_support..."
			remove_old_prj
		;;
	"clean-full")
		echo "Removing wrs fmc_support..."
		remove_old_prj
	;;
    * )
		echo "You must specify the options: [fmc_support/clean/clean-full]"
		;;
esac
