#include "wr_zcu102_i2c.h"
#include "hw/memlayout.h"

int read_i2c_switch(uint8_t i2cif,uint8_t sw_addr) {
	unsigned char d;
	uint8_t sw_read = (sw_addr<<1) | 0x01;
	
	mi2c_start(i2cif);

	if ((mi2c_put_byte(i2cif, sw_read)) < 0) {
		mi2c_stop(i2cif);
		pp_printf("Error to read the I2C Switch.\n");
		return -1;
	}

	mi2c_get_byte(i2cif,&d,1);

	mi2c_stop(i2cif);

	return d;
}

int write_i2c_switch(uint8_t i2cif,uint8_t sw_addr, uint8_t value) {
	unsigned char d;
	uint8_t sw_write = (sw_addr<<1);

	mi2c_start(i2cif);

	if ((mi2c_put_byte(i2cif, sw_write)) < 0) {
		mi2c_stop(i2cif);
		pp_printf("Error to address the I2C Switch.\n");
		return -1;
	}

	if((mi2c_put_byte(i2cif, value)) < 0) {
		mi2c_stop(i2cif);
		pp_printf("Error to update the I2C Switch,\n");
		return -2;
	}

	mi2c_stop(i2cif);

	return 0;
}

int configure_i2c_switch(uint8_t i2cif,uint8_t sw_addr, uint8_t sw_config) {
	int d;

	d = read_i2c_switch(i2cif,sw_addr);

	if (d < 0)
		return -1;

	d = write_i2c_switch(i2cif,sw_addr,sw_config);

	if (d < 0)
		return -2;

	d = read_i2c_switch(i2cif,sw_addr);

	if (d < 0)
		return -3;

	return 0;
}
